com.independentsoft.exchange

## Class NonIndexableItemDetail

- java.lang.Object
- - com.independentsoft.exchange.NonIndexableItemDetail

-     public class NonIndexableItemDetail
      extends java.lang.Object

  The Class NonIndexableItemDetail.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NonIndexableItemDetail()` Instantiates a new non indexable item detail.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAdditionalInfo()` Gets the additional info.
    `int` | `getAttemptCount()` Gets the attempt count.
    `ItemIndexError` | `getErrorCode()` Gets the error code.
    `java.lang.String` | `getErrorDescription()` Gets the error description.
    `ItemId` | `getItemId()` Gets the item id.
    `java.util.Date` | `getLastAttemptTime()` Gets the last attempt time.
    `java.lang.String` | `getSortValue()` Gets the sort value.
    `boolean` | `isPartiallyIndexed()` Checks if is partially indexed.
    `boolean` | `isPermanentFailure()` Checks if is permanent failure.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NonIndexableItemDetail

          public NonIndexableItemDetail()

      Instantiates a new non indexable item detail.

  - ### Method Detail

    - #### getItemId

          public ItemId getItemId()

      Gets the item id.
      Returns:
        the item id

    - #### getErrorCode

          public ItemIndexError getErrorCode()

      Gets the error code.
      Returns:
        the error code

    - #### getErrorDescription

          public java.lang.String getErrorDescription()

      Gets the error description.
      Returns:
        the error description

    - #### isPartiallyIndexed

          public boolean isPartiallyIndexed()

      Checks if is partially indexed.
      Returns:
        true, if is partially indexed

    - #### isPermanentFailure

          public boolean isPermanentFailure()

      Checks if is permanent failure.
      Returns:
        true, if is permanent failure

    - #### getSortValue

          public java.lang.String getSortValue()

      Gets the sort value.
      Returns:
        the sort value

    - #### getAttemptCount

          public int getAttemptCount()

      Gets the attempt count.
      Returns:
        the attempt count

    - #### getLastAttemptTime

          public java.util.Date getLastAttemptTime()

      Gets the last attempt time.
      Returns:
        the last attempt time

    - #### getAdditionalInfo

          public java.lang.String getAdditionalInfo()

      Gets the additional info.
      Returns:
        the additional info